> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List countings

> Get a list of all countings within an organization.



## OpenAPI

````yaml openapi-v1.json get /v1/countings
openapi: 3.1.0
info:
  title: Algure API
  version: '1'
servers:
  - url: https://api.algure.com
    description: Algure Production Public API
security: []
paths:
  /v1/countings:
    get:
      tags:
        - Countings
      summary: List countings
      description: Get a list of all countings within an organization.
      operationId: listCountings
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: number
          description: >-
            Maximum number of objects to return. Allowed range: 1–100. Default
            is 10.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
          description: Pagination cursor indicating a position in the list.
        - name: warehouse
          in: query
          required: false
          schema:
            type: string
          description: List countings of a specific warehouse
        - name: startedBefore
          in: query
          required: false
          schema:
            type: string
          description: List countings started before a specific datetime (ISO 8601)
        - name: startedAfter
          in: query
          required: false
          schema:
            type: string
          description: List countings started after a specific datetime (ISO 8601)
      responses:
        '200':
          description: The counting list
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - meta
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/CountingSlim'
                  meta:
                    type: object
                    required:
                      - links
                      - total
                    properties:
                      cursor:
                        type: string
                      links:
                        type: object
                        required:
                          - self
                          - first
                          - next
                        properties:
                          self:
                            type: object
                            required:
                              - href
                            properties:
                              href:
                                type: string
                          first:
                            type: object
                            required:
                              - href
                            properties:
                              href:
                                type: string
                          next:
                            oneOf:
                              - type: object
                                required:
                                  - href
                                properties:
                                  href:
                                    type: string
                              - type: 'null'
                      total:
                        type: number
      security:
        - PublicAuth: []
components:
  schemas:
    CountingSlim:
      type: object
      required:
        - id
        - startedAt
        - endsAt
        - warehouse
        - active
        - participants
        - totalProducts
        - totalProductsCounted
        - totalProductsLeft
        - totalDiscrepancies
        - totalIncidents
      properties:
        id:
          type: string
        startedAt:
          type: string
          format: date-time
          description: Counting start timestamp
        endsAt:
          type: string
          format: date-time
          description: Counting end timestamp (max. date)
        warehouse:
          type: object
          required:
            - name
            - id
            - code
            - slug
          properties:
            name:
              type: string
              description: Human-readable warehouse name
            id:
              type: number
              description: Warehouse internal numeric identifier
            code:
              type: string
              description: Unique warehouse code within an organization
            slug:
              type: string
              description: URL-safe warehouse slug within an organization
          description: Warehouse where the counting took place
        active:
          type: boolean
          description: If the counting is ongoing
        participants:
          type: array
          items:
            type: object
            required:
              - id
              - username
            properties:
              id:
                type: number
              username:
                type:
                  - string
                  - 'null'
          description: Users that participated in the counting
        totalProducts:
          type: number
          description: Total number of products to count
        totalProductsCounted:
          type: number
          description: Total number of products counted
        totalProductsLeft:
          type: number
          description: Total number of products left to count
        totalDiscrepancies:
          type: number
          description: Total number of stock discrepancies detected
        totalIncidents:
          type: number
          description: Total number of incidents detected
  securitySchemes:
    PublicAuth:
      type: http
      scheme: basic
      description: >-
        Use Integration API credentials as HTTP Basic auth (username: client id,
        password: client secret).

````